@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
*{padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    scroll-behavior: smooth;
    text-decoration: none;}

:root{
    --text-color:#f5f5f5;
    --hover-color:#12f7ff;
--bg-color:#250821;
--secon-bg-color:#292e33;
--big-font:2.5rem;
--normal-font:2rem;
--neon-box-shadow:0 0 .5rem #12f7ff;
--h2-font:3rem;
--font-neon-text-shadow:0 0 10px rgba(18,247,255,0.3),
0 0 20px rgba(18,247,255,0.3),
0 0 30px rgba(18,247,255,0.3),
0 0 40px rgba(18,247,255,0.3),
0 0 70px rgba(18,247,255,0.3),
0 0 80px rgba(18,247,255,0.3),
0 0 100px rgba(18,247,255,0.3),
0 0 150px rgba(18,247,255,0.3);
}
::-webkit-scrollbar{
    height: 0;
    width: .5rem;
}
::-webkit-scrollbar-track{
    background: var(--secon-bg-color);
}
::-webkit-scrollbar-thumb{
    background: var(--hover-color);
    border-radius: 5rem;
}

body{
    font-family: "Roboto",sans-serif;
    background-color: var(--bg-color);
    color: var(--text-color);
}
header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    border-bottom: 1px solid transparent;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 20px 10%;
}

.logo{
    font-size: 26px;
font-weight: 700;
letter-spacing: 1px;
}
span{color: var(--hover-color);}
.navlist{
    display: flex;
}
.navlist a{
    display: inline-block;
    color: var(--text-color);
      font-weight: 500;
    padding: 10px 20px;
    animation: slideAnimation 1s ease forwards;
animation-delay: calc(.3s * var(--i));
opacity: 0;
}
.navlist a:hover{
    color: var(--hover-color);
text-shadow: 0 0 10px rgba(18,247,255,0.6),
0 0 20px rgba(18,247,255,0.6),
0 0 30px rgba(18,247,255,0.6),
0 0 40px rgba(18,247,255,0.6),
0 0 70px rgba(18,247,255,0.6),
0 0 80px rgba(18,247,255,0.6),
0 0 100px rgba(18,247,255,0.6),
0 0 150px rgba(18,247,255,0.6);
}
.navlist a.active{
    color: var(--hover-color);
}
#btnw{
    margin-right: 6px;
}

#menu-icon{
    font-size: 1.8rem;
    z-index: 10001;
cursor: pointer;
margin-left: 25px;
background: var(--hover-color);
border-radius: 3px;
color: var(--secon-bg-color);
display: none;
}
section{
    padding: 100px 10%;
}
.home{
    min-height: 100vh;
    height: 100%;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    grid-gap:4em;

}
.home-content{
    max-width: 600px;
}
.home-content h1{
    font-size: var(--big-font);
    font-weight: 700;
}
.change-text{
    font-size: 1.5rem;
    font-weight: 600px;
}
.change-text h3{
display: inline-flex;
margin: 0;
vertical-align: top;
}
.change-text h3 .word{
    position: absolute;
    display: flex;
    opacity: 0;
}
.change-text h3 .word .letter{
    transform-origin: center center 25px;
}
.change-text h3 .word .letter.out{
transform: rotateX(90deg);
transition: 0.32s cubic-bezier(0.6,0,0.7,0.2);
}
.change-text h3 .word .letter.in{
    transition: 0.38s ease;
}
.change-text h3 .word .letter.behind{
transform: rotateX(-90deg);
}
.home-content p{
    color: #bdbdbd;
    line-height: 1.6;
}
.info-box{
    display: inline-flex;
justify-content: space-between;
align-items: center;
width: 300px;
margin: 1rem 0 2rem;
}
.info-box h5{
    font-weight: 600;
    color: var(--text-color);
font-size: 1rem;
}
.info-box span{
    font-size: .9rem;
    color: #bdbdbd;
}
.btn-box{
    display: flex;
justify-content: space-between;
width: 320px;
height: 45px;
}
.btn-box .btn{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 100%;
    background: var(--hover-color);
    color: var(--bg-color);
    font-size: 1rem;
    letter-spacing: 1px;
    font-weight: 600;
    transition: .6s;
    box-shadow: var(--neon-box-shadow);
    border-radius: 5px;
    position: relative;
    overflow: hidden;
    z-index: 1;
    border: 2px solid var(--hover-color);
}
.btn:hover{
    color: var(--hover-color);
}
.btn::before{
    content: "";
position: absolute;
top: 0;
left: 0;
background: var(--bg-color);
width: 0;
height: 100%;
z-index: -1;
transition: .4s;
}
.btn:hover::before{
    width: 100%;
}
.btn:nth-child(2){
    background: var(--bg-color);
    color: var(--hover-color);
}
.btn:nth-child(2):hover{
    color: var(--bg-color);
}
.btn:nth-child(2)::before{
    background: var(--hover-color);
}
.social-icons{
    margin-top: 8rem;
    display: flex;
    justify-content: space-between;
    width: 220px;
    height: 40px;
}
.social-icons a{
display: inline-flex;
width: 50px;
height: 100%;
justify-content: center;
align-items: center;
background: var(--bg-color);
color: var(--hover-color);
border: 2px solid var(--hover-color);
transition: .6s;
box-shadow: 0 0 0.3rem #12f7ff;
border-radius: 5px;
position: relative;
z-index: 1;
overflow: hidden;
}
.social-icons a i{
    font-size: 1.5rem;
}
.social-icons a:hover{
    color: var(--bg-color);
}
.social-icons a::before{
    content: "";
    position: absolute;
left: 0;
top: 0;
height: 100%;
width: 0;
background: var(--hover-color);
transition: .6s;
z-index: -1;
}
.social-icons a:hover::before{
    width: 100%;
}
.home-image{
    position: relative;
}
.home-box{
    text-align: center;
}
.img-box img{
width: 100%;
max-width: 350px;
height: auto;
min-width: 50px;
}
.liquid-shape{
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    top: 35%;
    right: 1%;
    transform: translate(-15%,-15%);
}
.liquid-shape:nth-child(2){
    filter: blur(10px);
}
/*---------------About section css---------------*/
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    grid-gap:2em;
    background: var(--secon-bg-color);
}
.about .img-about{
    text-align: center;
    position: relative;
}
.about .img-about img{
    max-width: 400px;
    height: auto;
    margin-bottom: 12px;
}
.about-content  span{
    color: #fdfdfd;
    font-size: .8rem; 
    font-weight: 200;
    letter-spacing: 2px;
    text-transform: uppercase;
     margin-bottom: 5px;
}
.about-content h2{
    color: var(--hover-color);
    font-weight: 700;
    font-size: var(--normal-font);
}
.about-content h3{
    font-weight: 600;
    font-size: 1.5rem;
    margin-bottom: .2rem;
} 
.about-content p{
    color: #fdfdfd;
    font-weight: 300;
    margin-bottom: 1.5rem;
}
.info-about1,.info-about2{
    background: var(--bg-color);
    font-size: .5rem;
    position: absolute;
    padding: 10px;
    width: 90px;
    height: 90px;
    border-radius: 69% 31% 66% 34% / 21% 30% 70% 79%;
    display: block;
    box-shadow: var(--neon-box-shadow);
    border: 1px solid var(--hover-color);
    outline: 2px solid var(--bg-color);
    z-index: 100;
    animation: morph 6s linear infinite;
    margin-bottom: 3px;
}
.info-about1{
    left: 11%;
    top: 28%;
}
.info-about2{
    left: 66%;
    top: 50%;
}
.img-about span{
    color: var(--hover-color);
    font-size: 1rem;
    font-weight: 600;
}
/*services section css*/
.main-text{
    width: 100%;
    text-align: center; 
    margin-bottom: 2rem;
    color: var(--hover-color);
}
.main-text h2{
    font-weight: 700;
    font-size: var(--normal-font);
}
.main-text span{
    color: #fdfdfd;
    font-size: .8rem;
    font-weight: 200;
    letter-spacing: 2px;
    text-transform: uppercase;
}
.section-services{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    grid-gap:2rem
}
.section-services .service-box{
    flex: 1 1 18rem;
    padding: 2rem 1rem 2rem;
    text-align: center;
    background: var(--secon-bg-color);
    transition: transform .4s;
border-radius: 10px;
height: 400px;
}
.service-btn{
    width: auto;
    justify-content: center;
}
.service-box:hover{
    transform: translateY(-.7rem);
}
.service-icon{
    border: 2px solid var(--hover-color);
    padding: 2rem;
    background: var(--bg-color);
    display: flex;
    align-items:  center;
    font-size: 3rem;
    border-radius: 50%;
    position: relative;
    color: var(--hover-color);
    box-shadow: var(--neon-box-shadow);
    outline: 3px solid var(--bg-color);
}
.service-box h3{
    margin-top: 10px;
    font-size: 1.5rem;
}
.service-box p{
    margin: .5rem 0 1.5rem 0;
    font-weight: 350;
    letter-spacing: 1.3px;
    color: #bdbdbd;
    line-height: 1.7;
}
.service-box #btn1{margin-top: 42px;}
.service-box #xxx{margin-bottom: 25px;}

/*skills left css*/
.skills{
    background: var(--secon-bg-color);
}
.skill-main{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-row-gap:30px;
    grid-column-gap:50px;
}
.skill-bar{
    margin-bottom: .7rem;

}
.skill-main h3{
    margin-bottom: 2rem;
    font-size: var(--normal-font);
    text-align: center;
}
.skill-left .skill-bar .info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
}
.skill-left .skill-bar .bar{
    width: 100%;
    height: 7px;
    background-color: var(--bg-color);
    border-radius: 25px;
    margin-top: 1px;
    position: relative;
}
.skill-bar .bar span{
    width: 50%;
    height: 100%;
    position: absolute;
    left: 0;
    background: var(--hover-color);
    border-radius: 25px;
    box-shadow: var(--neon-box-shadow);
}
.skill-bar .bar .html{
    width: 90%;
    animation: html 2s;
}
.skill-bar .bar .css{
    width: 85%;
    animation: css 3s;
}
.skill-bar .bar .javascript{
    width: 80%;
    animation: javascript 4s;
}
.skill-bar .bar .bootstrap{
    width: 85%;
    animation: bootstrap 5s;
}
.skill-bar .bar .vuejs{
    width: 65%;
    animation: vuejs 6s;
}
.skill-bar .bar .nodejs{
    width: 70%;
    animation: nodejs 7s;
}
.skill-bar .bar .socket{
    width: 60%;
    animation: socket 7s;
}
/*skills right css*/
.professional{
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.box{
    position: relative;
    margin: 30px 0;
    flex: 1 1 15rem;
}
.box .text{
    text-align: center;
    columns: #fff;
    font-size: 1rem;
}
.box .text big{
    font: 400;
    letter-spacing: 1px;
    position: absolute;
top: 40%;
left: 50%;
transform: translate(-50%,-50%);
}
.box .text small{
    display: block;
    font-weight: 600;
}
.circle{
    width: 100%;
    height: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
 
}
.circle .points{
    width: 2px;
    height: 10px;
    background: var(--bg-color);
    position: absolute;
    border-radius: 3px;
    transform: rotate(calc(var(--i)*var(--rot))) translateY(-45px);

}
.points.marked{
   animation: glow 0.04s linear forwards;
animation-delay: calc(var(--i)*0.05s) ;
}
/*portfolio section css*/
.portfolio{margin-bottom: 250px;}
.fillter-buttons{
    margin: 2rem;
    text-align: center;
}
.fillter-buttons .btn{
    background: none;
    outline: none;
    border: none;
    cursor: pointer;
    font-size: .85rem;
    font-weight: 600;
    letter-spacing: .4px;
    margin-left: 1.3rem;
    color: var(--text-color);
}
.fillter-buttons .btn:hover{
color: var(--hover-color);
}
.portfolio-gallery{
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(270px,1fr));
gap: 2rem;

}
.port-box{
    position: relative;
    border-radius: 15px;
overflow: hidden;
background: #292e33;
display: flex;
grid-template-rows: 1fr auto;
align-items: center;
border: 2px solid var(--hover-color);
box-shadow: var(--neon-box-shadow);
}
.port-image{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}
.port-image img{
    width: 100%;
    opacity: .5s;
    height: 100%;
    transition: .5s;
}
.port-content{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    background: linear-gradient(rgba(0,0,0,.2),#12f7ff);
display: flex;
align-items: center;
justify-content: center;
flex-direction: column;
text-align: center;
transition: .5s;
padding: 0 2rem;
}
.port-box:hover .port-content{
    opacity: 1;
}
.port-box:hover .port-image img{
    transform: scale(1.1);
}



.port-content h3{
    font-size: 1.5rem;
    font-weight: 600;
}

.port-content p{
    font-size: .8rem;
    margin: 5px 0 15px 0;
}
.port-content a{
    background:  #fff;
    border-radius: 50%;
    display: inline-block;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border: 1px solid var(--hover-color);
    outline: 2px solid #fff;
}
.port-content a i{
    font-size:  1.3rem;
    color: var(--secon-bg-color);
}
/*contact section css*/
.contant{background: var(--secon-bg-color);
 width: 100%;}
.contant form{text-align: center;
max-width: 50rem;
margin: 1rem auto;
margin-bottom: 3rem;
}
.contant form input,
.contant form textarea{
width: 100%;
color: var(--text-color);
background: var(--bg-color);
margin-bottom: .8rem;
border: none;
border-radius: 5px;
padding: .7rem;
}
.contant form textarea{
    resize: none;
}

.formBtn{
    display: flex;
    justify-content: center;
    width: 100%;
}
.formBtn .btn{
    cursor: pointer;
    font-size: 1rem;
}
/* footer css */
footer{
padding: 1.5rem 10%;
display: flex;
align-items: center;
justify-content: space-around;
}
footer p{
    color: #bdbdbd;
}
footer a{
    display: inline-flex;
    justify-content: center;
    color: var(--text-color);
background: var(--hover-color);
padding: .6rem;
border-radius: 5px;
}
footer a i{
    font-size: 1rem;
    color: var(--secon-bg-color);
}
/* parallax */
.scroll-scale{
    opacity: 0;
    transform: scale(.9);
    transition: all 2s;
}
.scroll-bottom{
    opacity: 0;
    transform: translateY(300px);
transition: 3s;
}
.scroll-top{
    opacity: 0;
    transform: translateY(-300px);
transition: 3s;
}
.show-items{
    opacity: 1;
    transform: translateX(0);
}









/*key form*/
@keyframes morph {
    0%,100%{border-radius: 40% 60% 70% 30% / 40% 40% 60% 50%;}
30%{border-radius: 70% 30% 50% 50% / 30% 30% 70% 70%;}
60%{border-radius: 100% 60% 60% 100% / 100% 100% 60% 60%;}
80%{border-radius: 69% 31% 66% 34% / 21% 30% 70% 79%;}
}
@keyframes html{
    0%{
        width: 0%;
    }
 100%{
        width: 90%;
    }

}
@keyframes css{
    0%{
        width: 0%;
    }
 100%{
        width: 85%;
    }

}
@keyframes javascript{
    0%{
        width: 0%;
    }
 100%{
        width: 80%;
    }

}
@keyframes bootstrap{
    0%{
        width: 0%;
    }
 100%{
        width: 85%;
    }
}
@keyframes vuejs{
    0%{
        width: 0%;
    }
 100%{
        width: 65%;
    }
}
@keyframes nodejs{
    0%{
        width: 0%;
    }
 100%{
        width: 70%;
    }
}
@keyframes socket{
    0%{
        width: 0%;
    }
 100%{
        width: 60%;
    }
}
@keyframes glow{
    0%{
        background: var(--bg-color);
        box-shadow: none;
    }
    100%{
        background: var(--hover-color) ;
        box-shadow: var(--neon-box-shadow);
    }
}
@keyframes  slideAnimation{
     0%{
       opacity: 0;
       transform: translateY(100px);
    }
    100%{
          opacity: 1;
       transform: translateY(0);
    }
}



/*break points*/
@media(max-width:991px){
header{
    padding: 15px 5%;
}
footer{
    padding: 15px 5%;
}
section{padding: 50px 5%;}
.navlist a{padding: 8px 15px;}
:root{
    
--big-font:2.2rem;
--normal-font:1.8rem;
--neon-box-shadow:0 0 .8rem #12f7ff;
--h2-font:3rem;
}
.home-content{
    margin-top: 5rem;
}
.social-icons{margin-top: 2rem;}
}
@media(max-width:768px){
#menu-icon{
    display: block;
    transition: all .4s ease;
}
#menu-icon.bx-x{
    transform: rotate(-180deg);
}
.navlist{
    display: flex;
    position: absolute;
    top: -1000px;
    right: 0;
    left: 0;
    flex-direction: column;
    background: var(--bg-color);
    text-align: left;
    padding: 0 5%;
    transition: all .45s ease;
}
.navlist a{
    display: block;
    padding-bottom: 1rem;
    font-size: 1rem;
}
.navlist.open{
top: 100%;
}
.home{grid-template-columns: 1fr;}
.home-image{
    margin-bottom: 10rem;
}
.liquid-shape{
    width: 90%;
    height: 170%;
    left: 4%;
    top: 55%;
}
.about{
    flex-direction: column-reverse;
}
.skill-main{
    grid-template-columns: 1fr;
}
.service-box #btn1{margin-top:  30px;}
.service-box #xxx{margin-bottom: 2px;}
.service-box #btn3{margin-bottom: 3px;}
.fillter-buttons{
    margin: 2.5rem 0;
}
.footer p{font-size: .8rem;}
}
@media(max-width:420px){
html{
    font-size: 80%;
}
.footer p{font-size: .6rem;}
.fillter-buttons .btn {
    font-size: .8rem;
}
.img-about img{
    width: 300px;
}
.img-about p{
    font-size: 1rem;
}
.liquid-shape{
    width: 100%;
    height: 190%;
    left: 1%;
    top: 45%;
}
.home-image img{
    max-width:200px ;
margin-left: 20px;
}

}




